Skip to navigation

Update User Details

View as Markdown

Updates user information for the user specified by the employee ID.

You can find the employee ID (personId) using the GET List Company Users /v2/employment endpoint.

The changes are defined in the Body of the request. Only include the attributes that you want to update.

The attributes have these values.

  • notificationEnabled - (Boolean) - Notification setup of the user.
  • position - (String) Role of the user. For more information on roles, see POST Invite (Add) a New User to an Existing Company.
  • newsletter - (Boolean) - Newsletter setup of the user.
  • promotions - (Boolean) - Promotions setup of the user.
  • firstName - (String) First name of the user.
  • lastName - (String) Last name of the user.
  • phone - (String) Phone number of the user.
  • requireTotp - (Boolean) Defines whether the user requires a time-based one-time password.
  • active - (Boolean) Set this value to true if the user is active or set this value to false to define the user as Inactive.
  • securityRoles - (Array of strings) Security roles of the user. For example, companyAdmin, technicalContact.
  • mobile - (String) Mobile phone number of the user.
  • email - (String) Email address of the user.
  • partyId - (String) - Employee ID of the user. Same as the personId.
  • altId - (String) Google ID of the user.
  • username - (String) - Username of the user.
  • uid - (String) - Uid of the user.
  • googlePlus - (String) Google Link of the user.
  • salesforceId - (String) Salesforce ID of the user.
  • name - (String) - Full name of the user.
  • emails - (Array of objects (Email)) Email object of the user.
    • emailAddressId (Integer) - Email address ID.
    • email (String) - Email address.
    • primary (Boolean) - Defines whether the email is the primary email address of the user.
    • badEmail (Boolean) - Is the email given in the correct format?

Path parameters

employeeIdstringRequired

Request

This endpoint expects a list of objects.
activebooleanOptional
altIdstringOptional
emailstringOptional
emailslist of objectsOptional
featureFlagslist of anyOptional
firstNamestringOptional
googlePlusstringOptional
lastNamestringOptional
mobilestringOptional
namestringOptional
newsletterbooleanOptional
notificationEnabledbooleanOptional
partyIddoubleOptional
phonestringOptional
positionstringOptional
promotionsbooleanOptional
requireTotpbooleanOptional
salesforceIdstringOptional
securityRoleslist of stringsOptional
uidstringOptional
usernamestringOptional

Response

Update User Details - Success / Update User Details - Success

messagestringOptional
termsstringOptional

Errors

400
Bad Request Error
401
Unauthorized Error
404
Not Found Error